/* -*- Mode: C; indent-tabs-mode: t; c-basic-offset: 2; tab-width: 2 -*- */
/* gdome-xml-mevent.c
 *
 * Copyright (C) 1999 Raph Levien <raph@acm.org>
 * Copyright (C) 2000 Mathieu Lacage <mathieu@gnu.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA  02111-1307, USA.
 */

#include <stdlib.h>
#include <string.h>
#include "gdome.h"
#include "gdome-events.h"
#include "gdome-util.h"
#include <tree.h>
#include <parser.h>
#include <xmlmemory.h>
#include "gdome-xml-util.h"
#include "gdome-xml-node.h"
#include "gdome-xml-event.h"
#include "gdome-xml-eventl.h"
#include "gdome-xml-mevent.h"

const GdomeMutationEventVtab gdome_xml_mevnt_vtab = 
{
  {
    NULL,
    NULL,
    NULL,
    gdome_xml_evnt_type,
    gdome_xml_evnt_target,
    gdome_xml_evnt_currentTarget,
    NULL,
    NULL,
    NULL,
    gdome_xml_evnt_timeStamp,
    NULL,
    NULL
  },
  gdome_xml_mevnt_relatedNode,
  gdome_xml_mevnt_prevValue,
  gdome_xml_mevnt_newValue,
  gdome_xml_mevnt_attrName,
  gdome_xml_mevnt_initMutationEvent
};


GdomeNode *
gdome_xml_mevnt_target (GdomeEvent *self, GdomeException *exc)
{
  Gdome_xml_Event *priv = (Gdome_xml_Event *)self;
  Gdome_xml_EventPriv *evnt = NULL;

  g_return_val_if_fail (priv != NULL, NULL);
  g_return_val_if_fail (GDOME_XML_IS_MEVNT (priv), NULL);

  evnt = priv->ev;
  /* XXX: should ref */
  return evnt->target;
}


GdomeNode *
gdome_xml_mevnt_relatedNode (GdomeMutationEvent *self, GdomeException *exc)
{
  Gdome_xml_MutationEvent *priv = (Gdome_xml_MutationEvent *)self;
  int refcnt = priv->refcnt;
  Gdome_xml_MutationEventPriv *mev = priv->mev;

  return NULL;
}


GdomeDOMString *
gdome_xml_mevnt_prevValue (GdomeMutationEvent *self, GdomeException *exc)
{
  Gdome_xml_MutationEvent *priv = (Gdome_xml_MutationEvent *)self;
  int refcnt = priv->refcnt;
  Gdome_xml_MutationEventPriv *mev = priv->mev;

  return NULL;
}


GdomeDOMString *
gdome_xml_mevnt_newValue (GdomeMutationEvent *self, GdomeException *exc)
{
  Gdome_xml_MutationEvent *priv = (Gdome_xml_MutationEvent *)self;
  int refcnt = priv->refcnt;
  Gdome_xml_MutationEventPriv *mev = priv->mev;

  return NULL;
}


GdomeDOMString *
gdome_xml_mevnt_attrName (GdomeMutationEvent *self, GdomeException *exc)
{
  Gdome_xml_MutationEvent *priv = (Gdome_xml_MutationEvent *)self;
  int refcnt = priv->refcnt;
  Gdome_xml_MutationEventPriv *mev = priv->mev;

  return NULL;
}


void
gdome_xml_mevnt_initMutationEvent      (GdomeMutationEvent *self, 
																				GdomeDOMString *typeArg, 
																				GdomeBoolean canBubbleArg, 
																				GdomeBoolean cancelableArg, 
																				GdomeNode *relatedNodeArg, 
																				GdomeDOMString *prevValueArg, 
																				GdomeDOMString *newValueArg, 
																				GdomeDOMString *attrNameArg, 
																				GdomeException *exc)
{
  Gdome_xml_MutationEvent *priv = (Gdome_xml_MutationEvent *)self;
  int refcnt = priv->refcnt;
  Gdome_xml_MutationEventPriv *mev = priv->mev;

}






